MDElement (3.14.0 400 API)
Date: 2018-11-22

com.marketfactory.api

## Enum MDElement

- java.lang.Object
- - java.lang.Enum<MDElement>
  - - com.marketfactory.api.MDElement

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<MDElement>

      public enum MDElement
      extends java.lang.Enum<MDElement>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `_INVALID`
    `AMOUNT_CONS`
    `EXCHANGE_BEST`
    `LAST_TRADE`
    `LAST_TRADE_NO_SIDE`
    `LEVEL`
    `LEVEL_QUOTE`
    `LEVEL_QUOTE_AMT_TIER`
    `LOCAL_BEST`
    `ORDER`
    `QUOTE`
    `QUOTE_AMT_TIER`
    `SPREAD_CONS`
    `WORST_TRADE`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `byte` | `val`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `byte` | `get()`
    `static MDElement` | `get(byte value)`
    `static java.util.Collection<MDElement>` | `validValues()`
    `static MDElement` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static MDElement[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### LEVEL

          public static final MDElement LEVEL

    - #### AMOUNT_CONS

          public static final MDElement AMOUNT_CONS

    - #### SPREAD_CONS

          public static final MDElement SPREAD_CONS

    - #### LOCAL_BEST

          public static final MDElement LOCAL_BEST

    - #### EXCHANGE_BEST

          public static final MDElement EXCHANGE_BEST

    - #### LAST_TRADE

          public static final MDElement LAST_TRADE

    - #### LAST_TRADE_NO_SIDE

          public static final MDElement LAST_TRADE_NO_SIDE

    - #### WORST_TRADE

          public static final MDElement WORST_TRADE

    - #### LEVEL_QUOTE

          public static final MDElement LEVEL_QUOTE

    - #### LEVEL_QUOTE_AMT_TIER

          public static final MDElement LEVEL_QUOTE_AMT_TIER

    - #### QUOTE

          public static final MDElement QUOTE

    - #### QUOTE_AMT_TIER

          public static final MDElement QUOTE_AMT_TIER

    - #### ORDER

          public static final MDElement ORDER

    - #### _INVALID

          public static final MDElement _INVALID

  - ### Field Detail

    - #### val

          public byte val

  - ### Method Detail

    - #### values

          public static MDElement[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (MDElement c : MDElement.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static MDElement valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### get

          public byte get()

    - #### get

          public static MDElement get(byte value)

    - #### validValues

          public static java.util.Collection<MDElement> validValues()